#!/bin/sh

IFXDIR=/opt/piranha
APPDIR=piranha
APP=piranha
DESKDIR=/usr/share

VERSION='8';
WHO=`whoami`;


echo "-----------------------------"
echo "$APP $VERSION"
echo "-----------------------------"
echo "Install location : $IFXDIR"
echo "Desktop location : $DESKDIR"
echo "-----------------------------"


case $WHO in
        root) ;;
        *) echo "Warning: to install this software"
           echo "you will need to run this script as root."
           echo
if [ -f "/usr/bin/gksudo" ]; then
	   gksudo $0

elif [ -f "/usr/bin/gnomesu" ]; then
	   gnomesu $0
elif [ -f "/usr/bin/kdesu" ]; then
	   kdesu $0
else

           echo "To become root, you must type 'su' and"
           echo "then enter the root password. "
           echo
           echo "You may also try the command sudo ./INSTALL"
	   echo "-----------------------------"
	   echo "Installation Failed"
           echo

fi
           NOROOT=1;;
esac
if [ "$NOROOT" = "1" ] ; then exit 0;
fi


mkdir -p $IFXDIR;
cp   piranha $IFXDIR; 
cp -r lib $IFXDIR; 
cp   nw.pak $IFXDIR; 
cp   piranha.run $IFXDIR; 
cp   LICENSE $IFXDIR; 
rm -f /usr/bin/$APP;  \
ln -s $IFXDIR/$APP.run /usr/bin/$APP;

mkdir -p $DESKDIR/icons/hicolor/128x128/apps/
cp desktop/$APP.png $DESKDIR/icons/hicolor/128x128/apps/
mkdir -p $DESKDIR/applications/;
cp desktop/$APP.desktop $DESKDIR/applications/;
echo "Installation Completed type 'piranha' to run or choose the app from the Application menu "



