#!/bin/sh

IFXDIR=/opt/piranha
APPDIR=piranha
APP=piranha-gtk-patch

VERSION='8';
WHO=`whoami`;


echo "-----------------------------"
echo "$APP $VERSION"
echo "-----------------------------"
echo "Install location : $IFXDIR"
echo "-----------------------------"


case $WHO in
        root) ;;
        *) echo "Warning: to install this software"
           echo "you will need to run this script as root."
           echo
if [ -f "/usr/bin/gksudo" ]; then
	   gksudo $0

elif [ -f "/usr/bin/gnomesu" ]; then
	   gnomesu $0
elif [ -f "/usr/bin/kdesu" ]; then
	   kdesu $0
else

           echo "To become root, you must type 'su' and"
           echo "then enter the root password. "
           echo
           echo "You may also try the command sudo ./INSTALL"
	   echo "-----------------------------"
	   echo "Installation Failed"
           echo

fi
           NOROOT=1;;
esac
if [ "$NOROOT" = "1" ] ; then exit 0;
fi

GTKDIR=$IFXDIR/gtklib
if [ -d "$GTKDIR" ]; then
    echo "GTK libs are installed in $GTKDIR" 
	/bin/rm -r $GTKDIR
else
    echo "GTK libs are not installed"
fi



echo "Removal complete"

